var idTUsefulLinksCheck;
$(document).ready(function()
{
	//Для всех остальных полноценная галерея 
	$('a:has(img)[href$=".PNG"],a:has(img)[href$=".png"],a:has(img)[href$=".gif"],a:has(img)[href$=".GIF"],a:has(img)[href$=".jpg"],a:has(img)[href$=".JPG"],a:has(img)[href$=".jpeg"],a:has(img)[href$=".JPEG"]').lightBox({
		overlayBgColor: '#FFF',
		overlayOpacity: 0.6,
		imageLoading:	'/img/lightbox/lightbox-ico-loading.gif',		
		imageBtnPrev:	'/img/lightbox/lightbox-btn-prev.gif',			
		imageBtnNext:	'/img/lightbox/lightbox-btn-next.gif',			
		imageBtnClose:	'/img/lightbox/lightbox-btn-close.gif',		
		imageBlank:		'/img/lightbox/lightbox-blank.gif',
		txtImage: 'Фото',
		txtOf: 'из'
	});
	//Для новостей показываем только одну картинку 
	$('div.hotNews a:has(img)[href$=".PNG"],div.hotNews a:has(img)[href$=".png"],div.hotNews a:has(img)[href$=".gif"],div.hotNews a:has(img)[href$=".GIF"],div.hotNews a:has(img)[href$=".jpg"],div.hotNews a:has(img)[href$=".JPG"],div.hotNews a:has(img)[href$=".jpeg"],div.hotNews a:has(img)[href$=".JPEG"],div.news a:has(img)[href$=".PNG"],div.news a:has(img)[href$=".png"],div.news a:has(img)[href$=".gif"],div.news a:has(img)[href$=".GIF"],div.news a:has(img)[href$=".jpg"],div.news a:has(img)[href$=".JPG"],div.news a:has(img)[href$=".jpeg"],div.news a:has(img)[href$=".JPEG"],td.newslist a:has(img)[href$=".PNG"],td.newslist a:has(img)[href$=".png"],td.newslist a:has(img)[href$=".gif"],td.newslist a:has(img)[href$=".GIF"],td.newslist a:has(img)[href$=".jpg"],td.newslist a:has(img)[href$=".JPG"],td.newslist a:has(img)[href$=".jpeg"],td.newslist a:has(img)[href$=".JPEG"],#news a:has(img)[href$=".PNG"],#news a:has(img)[href$=".png"],#news a:has(img)[href$=".gif"],#news a:has(img)[href$=".GIF"],#news a:has(img)[href$=".jpg"],#news a:has(img)[href$=".JPG"],#news a:has(img)[href$=".jpeg"],#news a:has(img)[href$=".JPEG"],ul.newsList a:has(img)[href$=".PNG"],ul.newsList a:has(img)[href$=".png"],ul.newsList a:has(img)[href$=".gif"],ul.newsList a:has(img)[href$=".GIF"],ul.newsList a:has(img)[href$=".jpg"],ul.newsList a:has(img)[href$=".JPG"],ul.newsList a:has(img)[href$=".jpeg"],ul.newsList a:has(img)[href$=".JPEG"]').lightBox({
		overlayBgColor: '#FFF',
		overlayOpacity: 0.6,
		imageLoading:	'/img/lightbox/lightbox-ico-loading.gif',		
		imageBtnPrev:	'/img/lightbox/lightbox-btn-prev.gif',			
		imageBtnNext:	'/img/lightbox/lightbox-btn-next.gif',			
		imageBtnClose:	'/img/lightbox/lightbox-btn-close.gif',		
		imageBlank:		'/img/lightbox/lightbox-blank.gif',
		txtImage: 'Фото',
		txtOf: 'из',
		showOnlyOne: true
	});
	$('.FilialSearch form').on('submit',function(e){//Форма поиска филиала
		searchFilialViaAJAX($('input[name="REG_NUM_OR_INN"]',e.currentTarget).val(),$('input[name="RO"]',e.currentTarget).val());
		return false;
	});
	var usefulLinksCarousel = $('.usefulLinks .jcarousel').jcarousel();
	$('.usefulLinks .left')
	.on('jcarouselcontrol:active', function() {
		$(this).removeClass('off');
	})
	.on('jcarouselcontrol:inactive', function() {
		$(this).addClass('off');
	}).jcarouselControl({
		target:'-=1',
		carousel: usefulLinksCarousel
	});
	$('.usefulLinks .right')
	.on('jcarouselcontrol:active', function() {
		$(this).removeClass('off');
	})
	.on('jcarouselcontrol:inactive', function() {
		$(this).addClass('off');
	}).jcarouselControl({
		target:'+=1',
		carousel: usefulLinksCarousel
	});
	$(window).on('resize', function(e) { 
		window.clearTimeout(idTUsefulLinksCheck);
		window.setTimeout(function(){ usefulLinks_hideArrows(); }, 500);
	});
	window.setTimeout(function(){ usefulLinks_hideArrows(); }, 500);
});

function doOpen()
{//Отправка на печать
	var textForPrint = $('#divText').html();
	var headerForPrint = $('#divHeader').html();
	var newsDate = $('.content .a11').html();
	if (textForPrint !== null)
	{
		var printPage = window.open('#','ToPrinter');
		printPage.document.write('<html><head>');
		printPage.document.write('</head><body>');
		if (headerForPrint !== null) printPage.document.write('<div align="center"><h3>'+headerForPrint+'</h3></div>');
		if (newsDate != null) printPage.document.write('<span>'+newsDate+'</span>');
		printPage.document.write('<font face="Verdana,Arial" size="2">'+textForPrint+'</font>');
		printPage.document.write('</body></html>');
		printPage.document.close();
		printPage.print();
	}
	else
	{
		window.alert('Текст для печати не обнаружен');
	}
}
function searchFilialViaAJAX(REG_NUM_OR_INN, RO)
{//Поиск филиала по рег. номеру или ИНН организации через AJAX
	var objParams = {
		'ACTION':'SEARCH_FILIAL',
		'REG_NUM_OR_INN': REG_NUM_OR_INN,
		'RO':RO
	};
	$.post(location.protocol+'//'+location.hostname+'/js/ajax-responder.php',objParams,function(data, textStatus, jqXHR){
		if (typeof(data) == 'object')
		{
			var curDialogOptions = {//Опции по умолчанию
				'buttons':{'OK':function(){$(this).dialog('close');}},
				'closeTextType':'Закрыть',
				'modal':true,
				'title':''
			}
			if (data.TYPE == 'OK' && data.TEXT.length > 0)
			{//Если найден единственный филиал и его URL известен, то немедленная переадресация 
				location.assign(location.protocol+'//'+data.TEXT);
			}
			else if (data.TYPE == 'ERROR' && data.TEXT.length > 0)
			{//Сообщение об ошибке
				$.extend(curDialogOptions,{'title':"Ошибка"});
				$('<div>'+data.TEXT+'</div>').dialog(curDialogOptions).dialog();
			}
			else if (data.FILIAL_LIST != null && typeof(data.FILIAL_LIST) == 'object')
			{
				$.extend(curDialogOptions,{
					'title':"Результат поиска",
					'minWidth':400,
					'width':800
				});
				var html_result = '<table class="FilialSearchResult"><tr><td>Рег. номер</td><td>ИНН</td><td>Филиал</td></tr>';
				for (i in data.FILIAL_LIST)
				{
					var filial_link_html = "";
					if (data.FILIAL_LIST[i].FILIAL_NUMBER != null)
					{
						filial_link_html = data.FILIAL_LIST[i].FILIAL_NUMBER;
						if (data.FILIAL_LIST[i].URL != null && data.FILIAL_LIST[i].NAME != null)
						{
							filial_link_html = '<a href="'+data.FILIAL_LIST[i].URL+'">'+data.FILIAL_LIST[i].NAME+' ('+data.FILIAL_LIST[i].FILIAL_NUMBER+')'+"</a>";
						}
					}
					if (data.FILIAL_LIST[i].REG_NUMBER != null && data.FILIAL_LIST[i].REG_NUMBER != null)
					{
						html_result += '<tr><td>'+data.FILIAL_LIST[i].REG_NUMBER+'</td><td>'+data.FILIAL_LIST[i].INN+'</td><td>'+filial_link_html+'</td></tr>';
					}
				}
				html_result += '</table>';
				$('<div>'+html_result+'</div>').dialog(curDialogOptions).dialog();
			}
		}
		else
		{
			window.alert("Ошибка поиска");
		}
	},'json');
}
/**Определяет видимость всех элементов полезных ссылок
\return bool*/
function usefulLinks_IsFullyVisible()
{
	var lens_width = $('.usefulLinks .jcarousel').innerWidth();
	var film_width = 0;
	$('.usefulLinks .jcarousel li').each(function(){
		film_width += $(this).outerWidth();
	});
	return (film_width <= lens_width);
}
/**Показывает/скрывает стрелки для полезных ссылок, если они нужны/не нужны
\return void*/
function usefulLinks_hideArrows()
{
	var arrows = $('.usefulLinks .left, .usefulLinks .right');
	if (usefulLinks_IsFullyVisible())
	{
		arrows.hide();
	}
	else
	{
		arrows.show();
	}
}